"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configurationPrompt = void 0;
const configurations_1 = require("../../../lib/configurations");
const search_1 = require("../../../lib/util/search");
const error_1 = require("../../../lib/util/error");
const formatConfiguration = (configuration) => {
    return {
        name: configuration.configurationName,
        short: configuration.configurationName,
        value: configuration,
    };
};
const source = (0, error_1.tryCatch)((answers, input) => {
    const configurations = (0, configurations_1.getConfigurations)();
    const filtered = (0, search_1.searchByKey)(configurations, 'configurationName', input);
    return filtered.map(formatConfiguration);
});
exports.configurationPrompt = {
    type: 'autocomplete',
    name: 'configuration',
    message: 'Choose configuration:',
    source,
};
