"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.kubernetesContextPrompt = void 0;
const contexts_1 = require("../../../lib/kubectl/contexts");
const search_1 = require("../../../lib/util/search");
const error_1 = require("../../../lib/util/error");
const source = (0, error_1.tryCatch)((answers, input) => {
    const instances = (0, contexts_1.fetchKubernetesContexts)();
    return (0, search_1.search)(instances, input);
});
exports.kubernetesContextPrompt = {
    type: 'autocomplete',
    name: 'kubernetesContext',
    message: 'Choose Kubernetes context:',
    source,
};
