"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.kubernetesNamespacePrompt = void 0;
const namespaces_1 = require("../../../lib/kubectl/namespaces");
const search_1 = require("../../../lib/util/search");
const error_1 = require("../../../lib/util/error");
const source = (0, error_1.tryCatch)((answers, input) => {
    const instances = (0, namespaces_1.fetchKubernetesNamespaces)(answers.kubernetesContext);
    return (0, search_1.search)(instances, input);
});
exports.kubernetesNamespacePrompt = {
    type: 'autocomplete',
    name: 'kubernetesNamespace',
    message: 'Choose Kubernetes namespace:',
    source,
};
