"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.kubernetesServiceAccountPrompt = void 0;
const service_accounts_1 = require("../../../lib/kubectl/service-accounts");
const search_1 = require("../../../lib/util/search");
const error_1 = require("../../../lib/util/error");
const source = (0, error_1.tryCatch)((answers, input) => {
    const instances = (0, service_accounts_1.fetchKubernetesServiceAccounts)(answers.kubernetesContext, answers.kubernetesNamespace);
    return (0, search_1.search)(instances, input);
});
exports.kubernetesServiceAccountPrompt = {
    type: 'autocomplete',
    name: 'kubernetesServiceAccount',
    message: 'Choose Kubernetes service account:',
    source,
};
