"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.runConfigurationByName = exports.runConfiguration = void 0;
const chalk_1 = require("chalk");
const inquirer_1 = __importDefault(require("inquirer"));
const inquirer_autocomplete_prompt_1 = __importDefault(require("inquirer-autocomplete-prompt"));
const configurations_1 = require("../../lib/configurations");
const configuration_1 = require("./prompts/configuration");
const confirmation_1 = require("./prompts/confirmation");
const runConfiguration = async () => {
    inquirer_1.default.registerPrompt('autocomplete', inquirer_autocomplete_prompt_1.default);
    const { configuration, confirmation } = await inquirer_1.default.prompt([
        configuration_1.configurationPrompt,
        confirmation_1.confirmationPrompt,
    ]);
    if (confirmation) {
        (0, configurations_1.execConfiguration)(configuration);
    }
    else {
        console.log((0, chalk_1.red)('You are excused.'));
    }
};
exports.runConfiguration = runConfiguration;
const runConfigurationByName = (name) => {
    const configuration = (0, configurations_1.getConfiguration)(name);
    if (!configuration) {
        throw new Error(`Configuration '${name}' does not exist.`);
    }
    (0, configurations_1.execConfiguration)(configuration);
};
exports.runConfigurationByName = runConfigurationByName;
