#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const configurations_1 = require("./commands/configurations");
const updates_1 = require("./lib/updates");
const version_1 = require("./lib/version");
async function main() {
    (0, updates_1.notifyForUpdates)();
    const program = new commander_1.Command();
    program.name('google-cloud-sql').version(version_1.version);
    (0, configurations_1.addConfigurationsCommands)(program);
    program.parse(process.argv);
}
main().catch((error) => {
    console.error(error);
});
