"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchGoogleCloudSqlInstances = void 0;
const memoizee_1 = __importDefault(require("memoizee"));
const exec_1 = require("../util/exec");
const versionNameToPort = (version) => {
    const lowercased = version.toLowerCase();
    if (lowercased.includes('mysql'))
        return 3306;
    if (lowercased.includes('postgres'))
        return 5432;
    return 1433;
};
const parseInstance = (instance) => {
    const [connectionName, version] = instance.split(',');
    const [, region, name] = connectionName.split(':');
    const port = versionNameToPort(version);
    return { name, region, connectionName, port };
};
exports.fetchGoogleCloudSqlInstances = (0, memoizee_1.default)((project) => {
    const instances = (0, exec_1.execCommandMultiline)(`
      gcloud sql instances list \
        --project=${project} \
        --format='csv(connectionName,databaseVersion)' \
        --quiet
    `);
    // skip header line
    return instances.slice(1).map(parseInstance);
});
