"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteByKey = exports.appendOrReplaceByKey = exports.findByKey = void 0;
const findIndexByKey = (items, key, value) => items.findIndex(item => item[key] === value);
const findByKey = (items, key, value) => items.find(item => item[key] === value);
exports.findByKey = findByKey;
const appendOrReplaceByKey = (items, item, key) => {
    const index = findIndexByKey(items, key, item[key]);
    if (index >= 0) {
        items[index] = item;
    }
    else {
        items.push(item);
    }
};
exports.appendOrReplaceByKey = appendOrReplaceByKey;
const deleteByKey = (items, key, value) => {
    const index = findIndexByKey(items, key, value);
    if (index >= 0)
        items.splice(index, 1);
};
exports.deleteByKey = deleteByKey;
