"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.execCommandAttached = exports.execCommandMultiline = exports.execCommand = void 0;
const os_1 = require("os");
const shelljs_1 = __importDefault(require("shelljs"));
const error_1 = require("./error");
const execCommand = (command) => {
    const { stdout, stderr, code } = shelljs_1.default.exec(command, { silent: true });
    if (code !== 0) {
        throw new error_1.CommandExecutionError(command, stderr, stdout);
    }
    return stdout.trim();
};
exports.execCommand = execCommand;
const execCommandMultiline = (command) => {
    return (0, exports.execCommand)(command).split(os_1.EOL);
};
exports.execCommandMultiline = execCommandMultiline;
const execCommandAttached = (command) => {
    shelljs_1.default.exec(command);
};
exports.execCommandAttached = execCommandAttached;
