"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.searchByKey = exports.search = exports.fuzzy = void 0;
const fuse_js_1 = __importDefault(require("fuse.js"));
// Interval [0, 1], where 0 = 100% match
const THRESHOLD = 0.2;
const MIN_CHARS = 3;
const fuzzy = (fuse, data, input) => {
    if (!input || input.length < MIN_CHARS) {
        return data;
    }
    return fuse.search(input).map(({ item }) => item);
};
exports.fuzzy = fuzzy;
const search = (data, input) => {
    const fuse = new fuse_js_1.default(data, { threshold: THRESHOLD });
    return (0, exports.fuzzy)(fuse, data, input);
};
exports.search = search;
const searchByKey = (data, key, input) => {
    const fuse = new fuse_js_1.default(data, { threshold: THRESHOLD, keys: [key] });
    return (0, exports.fuzzy)(fuse, data, input);
};
exports.searchByKey = searchByKey;
